Requests | List view

The Request List View end-point provides a list of Requests associated with the requesting user.

Request URI

GET https://pluto.cargobase.com/api/1/requests/
Content-Type: application/json
Authorization: Token your_token_here

Status codes

StatusDescriptionResolution
200OK--
403Forbiddencheck Authentication token, or status of the request

Request Response definition

Results (Main message)

KeyValueDefinition
quote_request_referenceSTRINGCargobase Request ID
quote_request_titleSTRINGTitle of the Request, as provided by the Shipper
freight_modesSTRINGRequested freight modes, can be multiple for Shipper but single for Provider
shipperSTRINGName of the Shipper company
quotes_countINTNumber of received quotes, in case of shipper or submitted quotes in case of Provider
statusSTRINGCurrent status of request, see list for potential status below
pickup_citySTRINGThe city name for Shipment pickup
pickup_countrySTRINGThe country name for Shipment pickup
stop1_citySTRINGThe city name for the requested delivery location
stop1_countrySTRINGThe country name for the requested delivery location
created_bySTRINGThe email ID of the initiating user account, visible to Shippers only
last_modifiedSTRINGThe Date and Time in UTC since the most recent update to this request
open_for_quotationBOOLEANTo indicate if quotes can still be submitted (PROVIDERS ONLY)

Request status options

StatusDefinition
NewAn active request that has not yet received quotes
QuotedAn active request that has received 1 or multiple quotes
CanceledA request that was canceled manually or automatically
In ProgressOnly for Providers - displayed when quoting is ongoing, but the quote has not been submitted

"Footer"

KeyValueDefinition
previousSTRINGURL to the previous page, in case page number is higher than 1
record_endINTEGERNumber of the highest request on the page
countINTEGERTotal number of requests available to the user, across all pages
pageINTEGERPage number
record_startINTEGERNumber of the first request on the page
nextSTRINGURL to the previous page, in case page number is lower than the highest available

Pagination

The request list results are paginated with 10 results per page by default. Results are displayed in descending order, that means that result 1 on page 1 is the newest addition. To request a specific page append ?page=XX to the URI. To request a specific number of items per page, append ?page_size=xx to the URI.

Results can also be filtered to only display results of the account calling the API, this is done by appending '=self'.

Example

Calling the API to show only your own requests, with 25 per page and viewing page 3 is

GET https://pluto.cargobase.com/api/1/requests/?=self&page_size=25&page=3
Content-Type: application/json
Authorization: Token your_token_here

Known issues

  • None at this moment
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!